---
date: 2020-11-12
id: 0fb73f75-ee10-4f7d-a7ab-7cac825aaa32
title: JavaScript String Prototype Methods
---

# Methods

-   [endsWith](20201112095428-javascript_string_endswith_method)
-   [includes](20201112095504-javascript_string_includes_method)
-   [padEnd](20201112095711-javascript_string_padend_method)
-   [padStart](20201112095657-javascript_string_padstart_method)
-   [repeat](20201112095451-javascript_string_repeat_method)
-   [startsWith](20201112095525-javascript_string_startswith_method)
-   [trim](20201116100345-trim)
-   [trimEnd](20201116100239-trimend)
-   [trimStart](20201116100205-trimstart)
